Index: code/trunk/src/orxonox/core/InputBuffer.h
===================================================================
--- code/trunk/src/orxonox/core/InputBuffer.h	(revision 1052)
+++ code/trunk/src/orxonox/core/InputBuffer.h	(revision 1052)
@@ -0,0 +1,125 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _InputBuffer_H__
+#define _InputBuffer_H__
+
+#include <string>
+#include <list>
+
+#ifdef WIN32
+#include <OIS/OISKeyboard.h>
+#else
+#include <OISKeyboard.h>
+#endif
+
+#include "CorePrereqs.h"
+
+namespace orxonox
+{
+    class _CoreExport InputBufferListener
+    {
+    };
+
+    class _CoreExport InputBuffer : public OIS::KeyListener
+    {
+        struct InputBufferListenerTuple
+        {
+            InputBufferListener* listener_;
+            void (InputBufferListener::*function_)();
+            bool bListenToAllChanges_;
+            bool bOnlySingleInput_;
+            char char_;
+        };
+
+        public:
+            InputBuffer();
+
+            template <class T>
+            void registerListener(T* listener, void (T::*function)(), bool bOnlySingleInput)
+            {
+                struct InputBufferListenerTuple newListener = {listener, (void (InputBufferListener::*)())function, true, bOnlySingleInput, ' '};
+                this->listeners_.insert(this->listeners_.end(), newListener);
+            }
+            template <class T>
+            void registerListener(T* listener, void (T::*function)() const, bool bOnlySingleInput)
+            {
+                struct InputBufferListenerTuple newListener = {listener, (void (InputBufferListener::*)())function, true, bOnlySingleInput, ' '};
+                this->listeners_.insert(this->listeners_.end(), newListener);
+            }
+
+            template <class T>
+            void registerListener(T* listener, void (T::*function)(), char char_, bool bOnlySingleInput)
+            {
+                struct InputBufferListenerTuple newListener = {listener, (void (InputBufferListener::*)())function, false, bOnlySingleInput, char_};
+                this->listeners_.insert(this->listeners_.end(), newListener);
+            }
+            template <class T>
+            void registerListener(T* listener, void (T::*function)() const, char char_, bool bOnlySingleInput)
+            {
+                struct InputBufferListenerTuple newListener = {listener, (void (InputBufferListener::*)())function, false, bOnlySingleInput, char_};
+                this->listeners_.insert(this->listeners_.end(), newListener);
+            }
+
+            void set(const std::string& input);
+            void append(const std::string& input);
+            void append(const char& input);
+            void removeLast();
+            void clear();
+
+            void updated();
+            void updated(const char& update, bool bSingleInput);
+
+            inline std::string get() const
+                { return this->buffer_; }
+
+            inline void activate()
+                { this->setActivated(true); }
+            inline void deactivate()
+                { this->setActivated(false); }
+            inline void setActivated(bool bActivated)
+                { if (this->bActivated_ != bActivated) { this->bActivated_ = bActivated; this->activityChanged(); } else { this->bActivated_ = bActivated; } }
+            inline bool isActivated() const
+                { return this->bActivated_; }
+
+            void activityChanged() const;
+
+        private:
+            bool charIsAllowed(const char& input);
+
+            bool keyPressed(const OIS::KeyEvent &e);
+            bool keyReleased(const OIS::KeyEvent &e);
+
+            OIS::Keyboard* keyboard_;
+            bool bActivated_;
+            std::string buffer_;
+            std::list<InputBufferListenerTuple> listeners_;
+            std::string allowedChars_;
+    };
+}
+
+#endif /* _InputBuffer_H__ */
Index: code/trunk/src/orxonox/core/InputHandler.cc
===================================================================
--- code/trunk/src/orxonox/core/InputHandler.cc	(revision 1051)
+++ code/trunk/src/orxonox/core/InputHandler.cc	(revision 1052)
@@ -66,6 +66,6 @@
     {
       // simply write the key number (i) in the string
-      this->bindingsKeyPressed_[i] = ConvertValueAndReturn<int, std::string>(i);
-      this->bindingsKeyReleased_[i] = ConvertValueAndReturn<int, std::string>(i);
+      this->bindingsKeyPressed_[i] = getConvertedValue<int, std::string>(i);
+      this->bindingsKeyReleased_[i] = getConvertedValue<int, std::string>(i);
     }
     return true;
Index: code/trunk/src/orxonox/core/Language.cc
===================================================================
--- code/trunk/src/orxonox/core/Language.cc	(revision 1051)
+++ code/trunk/src/orxonox/core/Language.cc	(revision 1052)
@@ -28,11 +28,11 @@
 /**
     @file Language.cc
-    @brief Implementation of the Language and the LanguageEntry class.
+    @brief Implementation of the Language and the LanguageEntry classes.
 */
 
 #include <fstream>
 
-#include "CoreIncludes.h"
 #include "Language.h"
+#include "CoreSettings.h"
 
 namespace orxonox
@@ -47,6 +47,4 @@
     LanguageEntry::LanguageEntry(const std::string& fallbackEntry)
     {
-        RegisterRootObject(LanguageEntry);
-
         this->fallbackEntry_ = fallbackEntry;
         this->localisedEntry_ = fallbackEntry; // Set the localisation to the fallback entry, for the case that no translation gets assigned
@@ -61,5 +59,5 @@
     {
         // Check if the translation is more than just an empty string
-        if (localisation.compare("") != 0)
+        if ((localisation != "") && (localisation.size() > 0))
         {
             this->localisedEntry_ = localisation;
@@ -91,6 +89,4 @@
     Language::Language()
     {
-        RegisterRootObject(Language);
-
         this->defaultLanguage_ = "default";
         this->defaultLocalisation_ = "ERROR: LANGUAGE ENTRY DOESN'T EXIST!";
@@ -101,15 +97,4 @@
 
     /**
-        @brief Function to collect the SetConfigValue-macro calls.
-    */
-    void Language::setConfigValues()
-    {
-        SetConfigValue(language_, this->defaultLanguage_).description("The language of the ingame text");
-
-        // Read the translation file after the language was configured
-        this->readTranslatedLanguageFile();
-    }
-
-    /**
         @brief Returns a reference to the only existing instance of the Language class and calls the setConfigValues() function.
         @return The reference to the only existing instance
@@ -117,16 +102,6 @@
     Language& Language::getLanguage()
     {
-        // Use static variables to avoid conflicts while executing this code before main()
-        static Language theOnlyLanguageObject = Language();
-        static bool bCreatingTheOnlyLanguageObject = true;
-
-        // This workaround is used to set a description of the own config value without creating an infinite recursion
-        if (bCreatingTheOnlyLanguageObject)
-        {
-            bCreatingTheOnlyLanguageObject = false;
-            theOnlyLanguageObject.setConfigValues();
-        }
-
-        return theOnlyLanguageObject;
+        static Language instance = Language();
+        return instance;
     }
 
@@ -244,5 +219,5 @@
 
             // Check if the line is empty
-            if (lineString.compare("") != 0)
+            if ((lineString != "") && (lineString.size() > 0))
             {
                 unsigned int pos = lineString.find('=');
@@ -252,5 +227,7 @@
                     this->createEntry(lineString.substr(0, pos), lineString.substr(pos + 1));
                 else
+                {
                     COUT(2) << "Warning: Invalid language entry \"" << lineString << "\" in " << getFileName(this->defaultLanguage_) << std::endl;
+                }
             }
         }
@@ -264,15 +241,15 @@
     void Language::readTranslatedLanguageFile()
     {
-        COUT(4) << "Read translated language file (" << this->language_ << ")." << std::endl;
+        COUT(4) << "Read translated language file (" << CoreSettings::getLanguage() << ")." << std::endl;
 
         // Open the file
         std::ifstream file;
-        file.open(getFileName(this->language_).c_str(), std::fstream::in);
+        file.open(getFileName(CoreSettings::getLanguage()).c_str(), std::fstream::in);
 
         if (!file.is_open())
         {
             COUT(1) << "An error occurred in Language.cc:" << std::endl;
-            COUT(1) << "Error: Couldn't open file " << getFileName(this->language_) << " to read the translated language entries!" << std::endl;
-            ResetConfigValue(language_);
+            COUT(1) << "Error: Couldn't open file " << getFileName(CoreSettings::getLanguage()) << " to read the translated language entries!" << std::endl;
+            CoreSettings::resetLanguage();
             COUT(3) << "Info: Reset language to " << this->defaultLanguage_ << "." << std::endl;
             return;
@@ -288,5 +265,5 @@
 
             // Check if the line is empty
-            if (lineString.compare("") != 0)
+            if ((lineString != "") && (lineString.size() > 0))
             {
                 unsigned int pos = lineString.find('=');
@@ -304,5 +281,7 @@
                 }
                 else
-                    COUT(2) << "Warning: Invalid language entry \"" << lineString << "\" in " << getFileName(this->language_) << std::endl;
+                {
+                    COUT(2) << "Warning: Invalid language entry \"" << lineString << "\" in " << getFileName(CoreSettings::getLanguage()) << std::endl;
+                }
             }
         }
@@ -330,7 +309,7 @@
 
         // Iterate through the list an write the lines into the file
-        for (Iterator<LanguageEntry> it = ObjectList<LanguageEntry>::start(); it; ++it)
-        {
-            file << it->getLabel() << "=" << it->getDefault() << std::endl;
+        for (std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
+        {
+            file << (*it).second->getLabel() << "=" << (*it).second->getDefault() << std::endl;
         }
 
Index: code/trunk/src/orxonox/core/Language.h
===================================================================
--- code/trunk/src/orxonox/core/Language.h	(revision 1051)
+++ code/trunk/src/orxonox/core/Language.h	(revision 1052)
@@ -49,5 +49,4 @@
 
 #include "CorePrereqs.h"
-#include "OrxonoxClass.h"
 
 
@@ -65,5 +64,5 @@
     // ###############################
     //! The LanguageEntry class stores the default- and the translated string of a given entry in the language file.
-    class _CoreExport LanguageEntry : public OrxonoxClass
+    class _CoreExport LanguageEntry
     {
         public:
@@ -112,12 +111,10 @@
     // ###############################
     //! The Language class manges the language files and entries and stores the LanguageEntry objects in a map.
-    class _CoreExport Language : public OrxonoxClass
+    class _CoreExport Language
     {
-        template <class T>
-        friend class ClassIdentifier; // forward declaration because of the private destructor
+        friend class CoreSettings;
 
         public:
             static Language& getLanguage();
-            void setConfigValues();
             void addEntry(const LanguageEntryLabel& label, const std::string& entry);
             const std::string& getLocalisation(const LanguageEntryLabel& label) const;
@@ -134,5 +131,4 @@
             LanguageEntry* createEntry(const LanguageEntryLabel& label, const std::string& entry);
 
-            std::string language_;                                  //!< The configured language
             std::string defaultLanguage_;                           //!< The default language
             std::string defaultLocalisation_;                       //!< The returned string, if an entry unavailable entry is requested
Index: code/trunk/src/orxonox/core/MetaObjectList.h
===================================================================
--- code/trunk/src/orxonox/core/MetaObjectList.h	(revision 1051)
+++ code/trunk/src/orxonox/core/MetaObjectList.h	(revision 1052)
@@ -99,5 +99,5 @@
 
 
-        COUT(5) << "*** MetaObjectList: Removing Object from " << this->element_->object_->getIdentifier()->getName() << "-list." << std::endl;
+        COUT(5) << "*** MetaObjectList: Removing Object from " << ClassManager<T>::getIdentifier()->getName() << "-list." << std::endl;
         delete this->element_;
     }
Index: code/trunk/src/orxonox/core/NamespaceNode.cc
===================================================================
--- code/trunk/src/orxonox/core/NamespaceNode.cc	(revision 1052)
+++ code/trunk/src/orxonox/core/NamespaceNode.cc	(revision 1052)
@@ -0,0 +1,173 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "NamespaceNode.h"
+#include "Debug.h"
+
+namespace orxonox
+{
+    NamespaceNode::NamespaceNode(const std::string& name, NamespaceNode* parent)
+    {
+        this->name_ = name;
+        this->parent_ = parent;
+        this->bRoot_ = false;
+        this->bHidden_ = false;
+    }
+
+    NamespaceNode::~NamespaceNode()
+    {
+        for (std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); )
+            delete ((*(it++)).second);
+    }
+
+    std::set<NamespaceNode*> NamespaceNode::getNodeRelative(const std::string& name)
+    {
+        std::set<NamespaceNode*> nodes;
+
+        if ((name.size() == 0) || (name == ""))
+        {
+            nodes.insert(this);
+        }
+        else
+        {
+            unsigned int pos = name.find("::");
+            std::string firstPart = name;
+            std::string secondPart;
+
+            if (pos != std::string::npos)
+            {
+                firstPart = name.substr(0, pos);
+                secondPart = name.substr(pos + 2, std::string::npos);
+            }
+
+            if (firstPart == "..")
+            {
+                if (this->bRoot_)
+                {
+                    COUT(2) << "Warning: Can't go to enclosing namespace with '..' operator in namespace " << this->name_ << ", namespace is root." << std::endl;
+                    nodes = this->getNodeRelative(secondPart);
+                }
+                else if (!this->parent_)
+                {
+                    COUT(2) << "Warning: Can't go to enclosing namespace with '..' operator in namespace " << this->name_ << ", no parent namespace set." << std::endl;
+                    nodes = this->getNodeRelative(secondPart);
+                }
+                else
+                {
+                    nodes = this->parent_->getNodeRelative(secondPart);
+                }
+            }
+            else if (name.find('@') != 0)
+            {
+                std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.find(firstPart);
+                if (it == this->subnodes_.end())
+                    it = this->subnodes_.insert(this->subnodes_.begin(), std::pair<std::string, NamespaceNode*>(firstPart, new NamespaceNode(firstPart, this)));
+
+                if ((*it).second->isHidden())
+                {
+                    COUT(2) << "Warning: Subnamespace '" << firstPart << "' in namespace '" << this->name_ << "' is hidden and can't be accessed." << std::endl;
+                    nodes.insert(this);
+                }
+                else
+                {
+                    nodes = (*it).second->getNodeRelative(secondPart);
+                }
+            }
+            else
+            {
+                bool bFoundMatchingNamespace = false;
+
+                for (std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
+                {
+                    if ((*it).first.find(firstPart) == ((*it).first.size() - firstPart.size()))
+                    {
+                        std::set<NamespaceNode*> temp2 = (*it).second->getNodeRelative(secondPart);
+                        nodes.insert(temp2.begin(), temp2.end());
+                        bFoundMatchingNamespace = true;
+                    }
+                }
+
+                if (!bFoundMatchingNamespace)
+                {
+                    COUT(2) << "Warning: No file included with name '" << firstPart.substr(1, std::string::npos) << "' at this part of the level file, using parent namespace instead." << std::endl;
+                    nodes = this->getNodeRelative(secondPart);
+                }
+            }
+        }
+
+        return nodes;
+    }
+
+    bool NamespaceNode::includes(const NamespaceNode* ns) const
+    {
+        if (ns == this)
+        {
+            return true;
+        }
+        else
+        {
+            for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
+                if ((*it).second->includes(ns))
+                    return true;
+        }
+
+        return false;
+    }
+
+    std::string NamespaceNode::toString() const
+    {
+        std::string output = this->name_;
+
+        if (this->subnodes_.size() > 0)
+        {
+            output += " (";
+
+            int i = 0;
+            for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); i++, ++it)
+            {
+                if (i > 0)
+                    output += ", ";
+
+                output += (*it).second->toString();
+            }
+
+            output += ")";
+        }
+
+        return output;
+    }
+
+    std::string NamespaceNode::toString(const std::string& indentation) const
+    {
+        std::string output = (indentation + this->name_ + "\n");
+
+        for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
+            output += (*it).second->toString(indentation + "  ");
+
+        return output;
+    }
+}
Index: code/trunk/src/orxonox/core/NamespaceNode.h
===================================================================
--- code/trunk/src/orxonox/core/NamespaceNode.h	(revision 1052)
+++ code/trunk/src/orxonox/core/NamespaceNode.h	(revision 1052)
@@ -0,0 +1,67 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _NamespaceNode_H__
+#define _NamespaceNode_H__
+
+#include <map>
+#include <set>
+#include <string>
+
+#include "CorePrereqs.h"
+
+namespace orxonox
+{
+    class NamespaceNode
+    {
+        public:
+            NamespaceNode(const std::string& name, NamespaceNode* parent = 0);
+            ~NamespaceNode();
+
+            std::set<NamespaceNode*> getNodeRelative(const std::string& name);
+
+            void setRoot(bool bRoot) { this->bRoot_ = bRoot; }
+            void setHidden(bool bHidden) { this->bHidden_ = bHidden; }
+
+            bool isRoot() const { return this->bRoot_; }
+            bool isHidden() const { return this->bHidden_; }
+
+            bool includes(const NamespaceNode*) const;
+
+            std::string toString() const;
+            std::string toString(const std::string& indentation) const;
+
+        private:
+            std::string name_;
+            NamespaceNode* parent_;
+            std::map<std::string, NamespaceNode*> subnodes_;
+            bool bHidden_;
+            bool bRoot_;
+    };
+}
+
+#endif /* _NamespaceNode_H__ */
Index: code/trunk/src/orxonox/core/OrxonoxClass.h
===================================================================
--- code/trunk/src/orxonox/core/OrxonoxClass.h	(revision 1051)
+++ code/trunk/src/orxonox/core/OrxonoxClass.h	(revision 1052)
@@ -37,5 +37,5 @@
 #define _OrxonoxClass_H__
 
-#include <list>
+#include <set>
 #include <string>
 
@@ -67,8 +67,8 @@
 
             /** @brief Returns the list of all parents of the object. @return The list */
-            inline std::list<const Identifier*>* getParents() const { return this->parents_; }
+            inline std::set<const Identifier*>* getParents() const { return this->parents_; }
 
             /** @brief Creates the parents-list. */
-            inline void createParents() { this->parents_ = new std::list<const Identifier*>(); }
+            inline void createParents() { this->parents_ = new std::set<const Identifier*>(); }
 
             /** @brief Returns the MetaObjectList of the object, containing a link to all ObjectLists and ObjectListElements the object is registered in. @return The list */
@@ -157,5 +157,5 @@
         private:
             Identifier* identifier_;                    //!< The Identifier of the object
-            std::list<const Identifier*>* parents_;     //!< List of all parents of the object
+            std::set<const Identifier*>* parents_;     //!< List of all parents of the object
             MetaObjectList metaList_;                   //!< MetaObjectList, containing all ObjectLists and ObjectListElements the object is registered in
     };
Index: code/trunk/src/orxonox/core/OutputHandler.cc
===================================================================
--- code/trunk/src/orxonox/core/OutputHandler.cc	(revision 1051)
+++ code/trunk/src/orxonox/core/OutputHandler.cc	(revision 1052)
@@ -31,9 +31,12 @@
 */
 
-#include "DebugLevel.h"
+#include "CoreSettings.h"
 #include "OutputHandler.h"
+#include "ConsoleCommand.h"
 
 namespace orxonox
 {
+    ConsoleCommandShortcutGeneric(log, createExecutor(createFunctor(&OutputHandler::log), "log", AccessLevel::None));
+
     /**
         @brief Constructor: Opens the logfile and writes the first line.
@@ -44,5 +47,5 @@
         this->logfilename_ = logfilename;
         this->logfile_.open(this->logfilename_.c_str(), std::fstream::out);
-        this->logfile_ << "Started log" << std::endl;
+        this->logfile_ << "Started log at yyyy/mm/dd hh:mm:ss" << std::endl;
         this->logfile_.flush();
     }
@@ -74,5 +77,5 @@
     int OutputHandler::getSoftDebugLevel(OutputHandler::OutputDevice device)
     {
-        return DebugLevel::getSoftDebugLevel(device);
+        return CoreSettings::getSoftDebugLevel(device);
     }
 
Index: code/trunk/src/orxonox/core/OutputHandler.h
===================================================================
--- code/trunk/src/orxonox/core/OutputHandler.h	(revision 1051)
+++ code/trunk/src/orxonox/core/OutputHandler.h	(revision 1052)
@@ -58,4 +58,8 @@
 
             static OutputHandler& getOutStream();
+
+            /** @brief Puts some text on the outstream. @param text The text */
+            static inline std::string log(const std::string& text)
+                { OutputHandler::getOutStream().setOutputLevel(0); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Returns a reference to the logfile. @return The logfile */
Index: code/trunk/src/orxonox/core/Tickable.cc
===================================================================
--- code/trunk/src/orxonox/core/Tickable.cc	(revision 1051)
+++ code/trunk/src/orxonox/core/Tickable.cc	(revision 1052)
@@ -27,4 +27,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/ConsoleCommand.h"
 #include "Tickable.h"
 
Index: code/trunk/src/orxonox/core/XMLPort.cc
===================================================================
--- code/trunk/src/orxonox/core/XMLPort.cc	(revision 1051)
+++ code/trunk/src/orxonox/core/XMLPort.cc	(revision 1052)
@@ -29,62 +29,15 @@
 #include "Language.h"
 #include "Loader.h"
+#include "Namespace.h"
+#include "CoreIncludes.h"
 
 namespace orxonox
 {
-    // ###############################
-    // ###  XMLPortParamContainer  ###
-    // ###############################
-    XMLPortParamContainer::XMLPortParamContainer()
-    {
-        this->bAddedDescription_ = false;
-        this->bAddedDefaultValues_ = false;
-    }
-
-    XMLPortParamContainer& XMLPortParamContainer::description(const std::string description)
-    {
-        if (!this->bAddedDescription_)
-        {
-            this->description_ = std::string("XMLPortParamContainer::" + this->classname_ + "::" + this->paramname_);
-            AddLanguageEntry(this->description_, description);
-            this->bAddedDescription_ = true;
-        }
-
-        return (*this);
-    }
-
-    const std::string& XMLPortParamContainer::getDescription()
-    {
-        return GetLocalisation(this->description_);
-    }
-
-
     // ################################
     // ###  XMLPortObjectContainer  ###
     // ################################
-    XMLPortObjectContainer::XMLPortObjectContainer()
-    {
-        this->bAddedDescription_ = false;
-    }
-
-    XMLPortObjectContainer& XMLPortObjectContainer::description(const std::string description)
-    {
-        if (!this->bAddedDescription_)
-        {
-            this->description_ = std::string("XMLPortObjectContainer::" + this->classname_ + "::" + this->sectionname_);
-            AddLanguageEntry(this->description_, description);
-            this->bAddedDescription_ = true;
-        }
-
-        return (*this);
-    }
-
-    const std::string& XMLPortObjectContainer::getDescription()
-    {
-        return GetLocalisation(this->description_);
-    }
-
     bool XMLPortObjectContainer::identifierIsIncludedInLoaderMask(const Identifier* identifier)
     {
-        return Loader::currentMask_s.isIncluded(identifier);
+        return ((!this->bApplyLoaderMask_) || identifier->isA(Class(Namespace)) || Loader::currentMask_s.isIncluded(identifier));
     }
 }
